Main Page Widgets Namespaces Book

# Gdk::Point Class Reference

List of all members.

## Detailed Description

This is a simple structure containing an x and y coordinate of a point.

## Public Member Functions

bool | equal (const Gdk::Point& rhs) const
int | get_x () const
int | get_y () const
const GdkPoint* | gobj () const
| Provides access to the underlying C GObject.
GdkPoint* | gobj ()
| Provides access to the underlying C GObject.
| Point (int x, int y)
| Point ()
void | set_x (int x)
void | set_y (int y)

## Protected Attributes

GdkPoint | gobject_

## Related Functions

(Note that these are not member functions.)
bool | operator!= (const Point& lhs, const Point& rhs)
bool | operator== (const Point& lhs, const Point& rhs)
const Gdk::Point& | wrap (const GdkPoint* object)
Gdk::Point& | wrap (GdkPoint* object)

## Constructor & Destructor Documentation

Gdk::Point::Point | ( |  | ) |

Gdk::Point::Point | ( | int | x,
|  | int | y |
| ) |  |  |

## Member Function Documentation

bool Gdk::Point::equal | ( | const Gdk::Point& | rhs | ) | const

Referenced by operator!=(), and operator==().

int Gdk::Point::get_x | ( |  | ) | const`[inline]`

References Glib::ValueBase::gobject_.

int Gdk::Point::get_y | ( |  | ) | const`[inline]`

References Glib::ValueBase::gobject_.

const GdkPoint* Gdk::Point::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

References Glib::ValueBase::gobject_.

GdkPoint* Gdk::Point::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

References Glib::ValueBase::gobject_.

void Gdk::Point::set_x | ( | int | x | ) | `[inline]`

References Glib::ValueBase::gobject_.

void Gdk::Point::set_y | ( | int | y | ) | `[inline]`

References Glib::ValueBase::gobject_.

## Friends And Related Function Documentation

bool operator!= | ( | const Point& | lhs,
|  | const Point& | rhs |
| ) |  |  | `[related]`

References equal().

bool operator== | ( | const Point& | lhs,
|  | const Point& | rhs |
| ) |  |  | `[related]`

References equal().

const Gdk::Point& wrap | ( | const GdkPoint * | object | ) | `[related]`

Gdk::Point& wrap | ( | GdkPoint * | object | ) | `[related]`

## Member Data Documentation

GdkPoint Gdk::Point::gobject_`[protected]`

The documentation for this class was generated from the following file:

- types.h